%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging-tools
Version:          1.0.0
Release:          0.1%{namedreltag}%{?dist}
Summary:          JBoss Logging I18n Tools
Group:            Development/Libraries
License:          LGPLv2+
URL:              https://github.com/jboss-logging/jboss-logging-tools

# git clone git://github.com/jboss-logging/jboss-logging-tools.git
# cd jboss-logging-tools && git archive --format=tar --prefix=jboss-logging-tools-1.0.0.CR1/ 1.0.0.CR1 | xz > jboss-logging-tools-1.0.0.CR1.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    jboss-parent
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    junit4
BuildRequires:    jboss-logging

Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss Logging I18n Tools.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

for m in processor generator; do
  install -pm 644 ${m}/target/jboss-logging-${m}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/jboss-logging-${m}.jar
  install -pm 644 ${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-jboss-logging-${m}.pom
  %add_maven_depmap JPP.jboss-jboss-logging-${m}.pom jboss/jboss-logging-${m}.jar
done

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Parent
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-parent.pom

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Sun Oct 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.CR1
- Upstream release 1.0.0.CR1

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta7
- Initial packaging

